ruby-dirty-memoize_0.0.4-1_all.deb


Advertisement

Description

ruby-dirty-memoize - Similar to ruby-memoize, but for mutable and parameterizable objects

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-dirty-memoize_0.0.4-1_all.deb
Package name ruby-dirty-memoize
Package version 0.0.4
Package release 1
Package architecture all
Package type deb
Category ruby
Homepage http://github.com/clbustos/dirty-memoize
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 5.72 KB
Installed size 28.00 KB
The dirty-memoize library can help making your program faster in the
following cases:
- You have one expensive method which sets many internal variables,
thus lazy evaluation of these dependent variables is preferred.
- The expensive operation depends on one or more parameters
- Changes to one or more parameters affect all dependent variables
- You may want to hide the call to the 'compute' operation

Alternatives

Package Version Architecture Repository
ruby-dirty-memoize_0.0.4-1_all.deb 0.0.4 all Debian Main
ruby-dirty-memoize - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-dirty-memoize_0.0.4-1_all.deb
Source Package ruby-dirty-memoize

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-dirty-memoize deb package:
    # sudo apt-get install ruby-dirty-memoize

Files

Path
/usr/lib/ruby/vendor_ruby/dirty-memoize.rb
/usr/share/doc/ruby-dirty-memoize/README.txt
/usr/share/doc/ruby-dirty-memoize/changelog.Debian.gz
/usr/share/doc/ruby-dirty-memoize/changelog.gz
/usr/share/doc/ruby-dirty-memoize/copyright
/usr/share/doc/ruby-dirty-memoize/examples/only_reader.rb
/usr/share/doc/ruby-dirty-memoize/examples/reader_and_writer.rb
/usr/share/rubygems-integration/all/specifications/dirty-memoize-0.0.4.gemspec

Changelog

2015-05-22 - Balint Reczey <balint@balintreczey.hu>
ruby-dirty-memoize (0.0.4-1) unstable; urgency=medium
* Initial release (Closes: #786552)

See Also

Package Description
ruby-discordrb-webhooks_3.3.0-1_all.deb blackst0ne's fork of webhook client for discordrb
ruby-distribution_0.7.3+dfsg-1_all.deb Ruby library to work with probability distributions
ruby-diva_0.3.2-1_all.deb Implementation of expression for handling things for mikutter
ruby-dnsruby_1.61.2-1_all.deb Ruby DNS and DNSSEC client library
ruby-docile_1.1.5-2_all.deb Docile keeps your Ruby DSLs tame and well-behaved
ruby-docker-api_1.22.2-1_all.deb Ruby gem to interact with docker.io remote API
ruby-domain-name_0.5.20160216-2_all.deb Domain Name manipulation library for Ruby
ruby-doorkeeper_4.4.2-1_all.deb OAuth 2 provider for Rails and Grape
ruby-dotenv_2.4.0-1_all.deb configuration variable loader
ruby-eb_2.6-3+b8_amd64.deb EB library interface for the Ruby
ruby-ecasound_2.9.1-7_all.deb multitrack-capable audio recorder and effect processor (ruby bindings)
ruby-ed25519_1.2.4-1_amd64.deb efficient digital signature library providing the Ed25519 algorithm
ruby-eim-xml_0.0.4-4_all.deb Easy IMplemented XML by Ruby
ruby-ejs_1.1.1-2_all.deb EJS (Embedded JavaScript) template compiler
ruby-elasticsearch-api_1.0.12-1_all.deb Ruby implementation of the Elasticsearch REST API
Advertisement
Advertisement